close all; clear all; diary([mfilename '.out']); 
disp('==================================================================================');
disp(['Running  ' mfilename '.m                      ' datestr(now)]); format compact; tic;
disp('==================================================================================');

path='C:\cointegrationArchive\';
pathData=strcat('C:\My_files\cointegration\data\RATSdata\annualOECD2\');
pathPrint='C:\cointegrationArchive\matlab\matlab\drawFigsN\';
roundOrd=3;
cc=customColors;
startYear=1970;
endYear=2003;
t0=(startYear-1970)+1;
t1=(endYear-1970)+1;

labels=['AUS';'AUT';'BEL';'CAN';'DEN';'FIN';'FRA';'GER';'GRE';'ICE';'IRE';'ITA';'JAP';'KOR';'LUX';'MEX';'NED';'NZ ';'NOR';'POR';'SPA';'SWE';'SWI';'TUR';'UK ';'US '];

% OECD data
%====================================================================
oecdtime=(1970:2003)';
for i=1:26;
   if i~=15; oecdsav(:,i)=makeSav(strcat(pathData,labels(i,:),'.txt'),t0,t1); else; oecdsav(:,i)=repmat(nan,length(oecdtime),1); end;
end;

% World Bank data
%====================================================================
worldtime=(1960:1995)';
cons=load('C:\My_files\cointegration\data\worldBank\consumption.txt'); cons=cons(:,2:end);
gndi=load('C:\My_files\cointegration\data\worldBank\gndi.txt'); gndi=gndi(:,2:end);
worldsav0=(gndi-cons)./gndi; %worldsav0(:,14)=[]; 
worldsav=repmat(nan,size(worldsav0,1),length(labels));
worldsav(:,1:13)=worldsav0(:,1:13); 
worldsav(:,15)=worldsav0(:,14);
worldsav(:,17:23)=worldsav0(:,15:21); 
worldsav(:,25:26)=worldsav0(:,22:23);

% Figures
%====================================================================
fsize=7; 

f1=figure; f2=figure; f3=figure;
for i=1:10;
   llSize=5;
   figure(f1); subplot(5,2,i); h=plot(worldtime,worldsav(:,i),oecdtime,oecdsav(:,i)); 
   tt=title(labels(i,:)); set(h,'linewidth',1.5); set(tt,'fontsize',fsize); set(gca,'fontsize',llSize); 
   set(h(2),'color',cc.grey); axis([-inf inf -.05 .45]); grid on;   %axis tight; axis 'auto y';
   
   figure(f2); subplot(5,2,i); h=plot(worldtime,worldsav(:,i+10),oecdtime,oecdsav(:,i+10)); 
   tt=title(labels(i+10,:)); set(h,'linewidth',1.5); set(tt,'fontsize',fsize); set(gca,'fontsize',llSize); 
   set(h(2),'color',cc.grey); axis([-inf inf -.05 .45]); grid on;
   
   if i<7; 
      llSize=llSize+1;
      figure(f3); subplot(3,2,i); h=plot(worldtime,worldsav(:,i+20),oecdtime,oecdsav(:,i+20)); 
      tt=title(labels(i+20,:)); set(h,'linewidth',1.5); set(tt,'fontsize',fsize); set(gca,'fontsize',llSize); 
	   set(h(2),'color',cc.grey); axis([-inf inf -.05 .45]); grid on;
   end;
end;

print(f1,'-depsc',strcat(pathPrint,'fao1.eps'));
print(f2,'-depsc',strcat(pathPrint,'fao2.eps'));
print(f3,'-depsc',strcat(pathPrint,'fao3.eps'));
   
%====================================================================
t=toc; mints=floor(toc/60); secs=toc-60*mints;
fprintf('Time: %4.0f minutes, %4.2f seconds\n',mints,secs); diary off;

