close all; clear all; diary([mfilename '.out']); 
disp('==================================================================================');
disp(['Running  ' mfilename '.m                      ' datestr(now)]); format compact; tic;
disp('==================================================================================');

path='C:\cointegrationArchive\';
dataPath=strcat(path,'data\quarterlyWealth\');
printPath=strcat(path,'matlab\');
roundOrd=3;
cc=customColors;
startYear=1960;
endYear=2003;
t0=(startYear-1960)*4+1;
t1=(endYear-1960)*4+4;
t0y=startYear-1960+1;
t1y=endYear-1960+1;
% AUS
%====================================================================
data=load(strcat(dataPath,'aus.txt'));
data=data(t0:t1,:);
time=data(:,1);
auscons=data(:,2);
ausinc=data(:,3);
auswag=data(:,4);
ausdefl=data(:,5);
auswealth=data(:,6);
auspop=data(:,8);
aussav=(ausinc-auscons)./ausinc;

% CAN
%====================================================================
data=load(strcat(dataPath,'can.txt'));
data=data(t0:t1,:);
cancons=data(:,2);
caninc=data(:,3);
cansav=(caninc-cancons)./caninc;

% FRA
%====================================================================
data=load(strcat(dataPath,'fraann2.txt'));
data=data(t0y:t1y,:);
fratime=data(:,1);
fracons=4*data(:,2);
frainc=data(:,3);
frasav=(frainc-fracons)./frainc;

% JAP
%====================================================================
data=load(strcat(dataPath,'japann.txt'));
data=data(t0y:t1y,:);
japtime=data(:,1);
japcons=data(:,2);
japinc=data(:,3);
japsav=(japinc-japcons)./japinc;

% UK
%====================================================================
data=load(strcat(dataPath,'uk.txt'));
data=data(t0:t1,:);
ukcons=data(:,2);
ukinc=data(:,3);
uksav=(ukinc-ukcons)./ukinc;

% US
%====================================================================
data=load(strcat(dataPath,'us.txt'));
data=data(t0:t1,:);
uscons=data(:,2);
usinc=data(:,3);
ussav=(usinc-uscons)./usinc;
usdispinc=data(:,3);
uswag=data(:,4);
uslabinc=data(:,5);
uspop=data(:,end)*1e-3;
usdefl=data(:,6)*1e-2;

usdi=log(usdispinc./(uspop.*usdefl));
usw=log(uswag./(uspop.*usdefl));
usli=log(uslabinc./(uspop.*usdefl));

% Figures
%====================================================================
fsize=9; llSize=6;
f1=figure; 
subplot(3,2,1); h=plot(time,[aussav]); tt=title('AUS'); set(h,'linewidth',1.5); set(tt,'fontsize',fsize); set(gca,'fontsize',llSize); axis([-inf inf -.05 .45]); grid on;
subplot(3,2,2); h=plot(time,[cansav]); tt=title('CAN'); set(h,'linewidth',1.5); set(tt,'fontsize',fsize); set(gca,'fontsize',llSize); axis([-inf inf -.05 .45]); grid on;
subplot(3,2,3); h=plot(fratime,[frasav]); tt=title('FRA'); set(h,'linewidth',1.5); set(tt,'fontsize',fsize); set(gca,'fontsize',llSize); axis([-inf inf -.05 .45]); grid on;
subplot(3,2,4); h=plot(japtime,[japsav]); tt=title('JAP'); set(h,'linewidth',1.5); set(tt,'fontsize',fsize); set(gca,'fontsize',llSize); axis([-inf inf -.05 .45]); grid on;
subplot(3,2,5); h=plot(time,[uksav]); tt=title('UK'); set(h,'linewidth',1.5); set(tt,'fontsize',fsize); set(gca,'fontsize',llSize); axis([-inf inf -.05 .45]); grid on;
subplot(3,2,6); h=plot(time,[ussav]); tt=title('US'); set(h,'linewidth',1.5); set(tt,'fontsize',fsize); set(gca,'fontsize',llSize); axis([-inf inf -.05 .45]); grid on;
% axis tight; axis 'auto y';

f2=figure;
h=plot(time,[usdi usw usli]); set(h(2),'linestyle','--'); set(h,'linewidth',1.5); %title('US log real per capita income'); 
legend('Disposable income','Wages','Labor income',4); 
set(h(3),'color',cc.grey); axis tight; axis 'auto y';

print(f1,'-depsc',strcat(printPath,'fW1.eps'));
%print(f2,'-depsc',strcat(printPath,'fcompIncUS1.eps'));
%====================================================================
t=toc; mints=floor(toc/60); secs=toc-60*mints;
fprintf('Time: %4.0f minutes, %4.2f seconds\n',mints,secs); diary off;
