close all; clear all; diary([mfilename '.out']); 
disp('==================================================================================');
disp(['Running  ' mfilename '.m                      ' datestr(now)]); format compact; tic;
disp('==================================================================================');

path='C:\cointegrationArchive\matlab';
freqAct=12;
freqDes=4;
split1=1973;
split2=1995;

% AUS
%====================================================================
prodSeries=load(strcat(path,'\lboutu.txt'));
prodSeriesA=aggr(prodSeries,freqAct,freqDes);
prodG=freqDes*100*diff(log(prodSeriesA));
time=((1955+1/freqDes):1/freqDes:(2003-1/100))';

ind1=time<=split1;
ind2=(time>split1)&(time<split2);
ind3=time>=split2;

m1=mean(prodG(ind1)); m2=mean(prodG(ind2)); m3=mean(prodG(ind3));
fprintf('Average productivity growth:  1955-1973:  %2.2f,  1973-1995:  %2.2f,  1995-2002:  %2.2f\n',m1,m2,m3);

avG=m1*ind1+m2*ind2+m3*ind3;
figure; plot(time,[prodG avG]); title('NBS Productivity Growth');

%====================================================================
t=toc; mints=floor(toc/60); secs=toc-60*mints;
fprintf('Time: %4.0f minutes, %4.2f seconds\n',mints,secs); diary off;

