#delimit;
gen t =  y(1960)+_n-1;
format t %ty;
tsset t;

gen savrat = (dispinc-cons)/dispinc;
gen lrinc = log(dispinc/(4*defl*popl));
gen lrcons = log(cons/(defl*popl));
gen lrcomp = log(comp/(4*defl*popl));
gen lrwag = log(wages/(4*defl*popl));
gen lrwealth = log(wealth/popl);

keep if t>t0-1 & t<t1+1;

reg lrcons lrcomp lrwealth;
predict rescw, resid;

reg lrcons lrcomp lrwealth D.lrcomp D.lrwealth DL(1/$dlslags).lrcomp DL(1/$dlslags).lrwealth DF(1/$dlslags).lrcomp DF(1/$dlslags).lrwealth;

reg lrcons lrwag lrwealth;
predict resww, resid;

reg lrcons lrwag lrwealth D.lrwag D.lrwealth DL(1/$dlslags).lrwag DL(1/$dlslags).lrwealth DF(1/$dlslags).lrwag DF(1/$dlslags).lrwealth;

reg lrcons lrinc;
predict resi, resid;

reg lrcons lrinc D.lrinc DL(1/$dlslags).lrinc DF(1/$dlslags).lrinc;

dfuller rescw, lags($adflags);
gen adfcw = r(Zt);
dfuller resww, lags($adflags);
gen adfww = r(Zt);
dfuller resi, lags($adflags);
gen adfi = r(Zt);
dfuller savrat, lags($adflags) trend;
gen adfsav = r(Zt);

dfgls rescw, maxlag($dfglsmlags) notrend ers;
dfgls resww, maxlag($dfglsmlags) notrend ers;
dfgls savrat, maxlag($dfglsmlags) ers;
mat A=r(results);
gen glssav = A[1,5];

disp "****************************************************************";
johansMine lrcons lrcomp lrwealth, lags($johlags) nonormal level($testLevel);
mat cwMat = (e(EVTRACE),e(EVMAX));
johansMine lrcons lrwag lrwealth, lags($johlags) nonormal level($testLevel);
mat wwMat = (e(EVTRACE),e(EVMAX));
mat wwMatCv1 = ( e(TR),e(MX));
mat wwMatCV = wwMatCv1[1..3,1...];
johansMine lrcons lrinc, lags($johlags) nonormal level($testLevel);
mat iMat = (e(EVTRACE),e(EVMAX));
mat johMat = (wwMat,cwMat,wwMatCV);
mat li johMat;
mat johMat2 = iMat;
mat li johMat2;