#delimit;
gen t =  q(1960q1)+_n-1;
format t %tq;
tsset t;

gen savrat = (dispinc-cons)/dispinc;
gen lrinc = log(dispinc/(defl*popl));
gen lrcons = log(cons/(defl*popl));
gen lrwag = log(wages/(defl*popl));
gen lrwealth = log(wealth/(defl*popl));

keep if t>t0-1 & t<t1+1;

reg lrcons lrinc;
predict resi, resid;

reg lrcons lrwag lrwealth;
predict resww, resid;

reg lrcons lrwag lrwealth D.lrwag D.lrwealth DL(1/$dlslags).lrwag DL(1/$dlslags).lrwealth DF(1/$dlslags).lrwag DF(1/$dlslags).lrwealth;

dfuller resi, lags($adflags);
gen adfi = r(Zt);
dfuller resww, lags($adflags);
gen adfww = r(Zt);
dfuller savrat, lags($adflags) trend;
gen adfsav = r(Zt);

dfgls resi, maxlag($dfglsmlags) notrend ers;
dfgls resww, maxlag($dfglsmlags) notrend ers;
dfgls savrat, maxlag($dfglsmlags) ers;
mat A=r(results);
gen glssav = A[1,5];

disp "****************************************************************";
johansMine lrcons lrinc, lags($johlags) nonormal level($testLevel);
mat iMat = (e(EVTRACE),e(EVMAX));
johansMine lrcons lrwag lrwealth, lags($johlags) nonormal level($testLevel);
mat wwMat = (e(EVTRACE),e(EVMAX));
mat iwMatCv1 = ( e(TR),e(MX));
mat iwMatCV = iwMatCv1[1..3,1...];
mat johMat = (wwMat,iwMatCV);
mat johMat2 = (iMat);
mat li johMat;
mat li johMat2;
