#delimit;
gen t =  q(1960q1)+_n-1;
format t %tq;
tsset t;

gen savrat = (dispinc-cons)/dispinc;
gen lrinc = log(dispinc/popl);
gen lrcons = log(cons/popl);
gen lrwag = log(wages/(defl*popl));
gen lrwealth = log(wealth/popl);

keep if t>t0-1 & t<t1+1;

reg lrcons lrinc;
predict resi, resid;

reg lrcons lrinc lrwealth;
predict resiw, resid;

reg lrcons lrinc lrwealth D.lrinc D.lrwealth DL(1/$dlslags).lrinc DL(1/$dlslags).lrwealth DF(1/$dlslags).lrinc DF(1/$dlslags).lrwealth;

reg lrcons lrwag;
predict resw, resid;

reg lrcons lrwag lrwealth;
predict resww, resid;

reg lrcons lrwag lrwealth D.lrwag D.lrwealth DL(1/$dlslags).lrwag DL(1/$dlslags).lrwealth DF(1/$dlslags).lrwag DF(1/$dlslags).lrwealth;

dfuller resi, lags($adflags);
gen adfi = r(Zt);
dfuller resiw, lags($adflags);
gen adfiw = r(Zt);
dfuller resw, lags($adflags);
gen adfw = r(Zt);
dfuller resww, lags($adflags);
gen adfww = r(Zt);
dfuller savrat, lags($adflags) trend;
gen adfsav = r(Zt);

dfgls resi, maxlag($dfglsmlags) notrend ers;
dfgls resiw, maxlag($dfglsmlags) notrend ers;
dfgls resw, maxlag($dfglsmlags) notrend ers;
dfgls resww, maxlag($dfglsmlags) notrend ers;
dfgls savrat, maxlag($dfglsmlags) ers;
mat A=r(results);
gen glssav = A[1,5];

disp "****************************************************************";
johansMine lrcons lrinc, lags($johlags) nonormal level($testLevel);
mat iMat = (e(EVTRACE),e(EVMAX));
johansMine lrcons lrinc lrwealth, lags($johlags) nonormal level($testLevel);
mat iwMat = (e(EVTRACE),e(EVMAX));
mat iwMatCv1 = ( e(TR),e(MX));
mat iwMatCV = iwMatCv1[1..3,1...];
johansMine lrcons lrwag, lags($johlags) nonormal level($testLevel);
mat wMat = (e(EVTRACE),e(EVMAX));
johansMine lrcons lrwag lrwealth, lags($johlags) nonormal level($testLevel);
mat wwMat = (e(EVTRACE),e(EVMAX));
mat johMat = (wwMat,iwMatCV);
mat johMat2 = (iMat);
