
clear
#delimit;

set more off;
global path1 "C:\cointegrationArchive\data\annualWorldBank";  
global path2 "C:\cointegrationArchive\stata";
cd $path2;
capture log close;
log using $path2\quiet\cointEstAnnualWorld01Quiet.log, replace;

global adflags "1";
global johlags "2";
global dfglsmlags "4";
scalar t0 = y(1960);
scalar t1 = y(2003);

disp "****************************************************************";
disp "AUSTRALIA";
disp "****************************************************************";

use $path1\aus.dta;
qui do cointEstAnnualWorldFunc01;
dfuller savrat, lags($adflags) trend;
dfgls savrat, maxlag($dfglsmlags) ers;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "AUSTRIA";
disp "****************************************************************";

use $path1\aut.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "BELGIUM";
disp "****************************************************************";

use $path1\bel.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "CANADA";
disp "****************************************************************";

use $path1\can.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "DENMARK";
disp "****************************************************************";

use $path1\den.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "FINLAND";
disp "****************************************************************";

use $path1\fin.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "FRANCE";
disp "****************************************************************";

use $path1\fra.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "GERMANY";
disp "****************************************************************";

use $path1\ger.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "GREECE";
disp "****************************************************************";

use $path1\gre.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "ICELAND";
disp "****************************************************************";

use $path1\ice.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "IRELAND";
disp "****************************************************************";

use $path1\ire.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "ITALY";
disp "****************************************************************";

use $path1\ita.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "JAPAN";
disp "****************************************************************";

use $path1\jap.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "LUXEMBOURG";
disp "****************************************************************";

use $path1\lux.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "NETHERLANDS";
disp "****************************************************************";

use $path1\ned.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "NEW ZEALAND";
disp "****************************************************************";

use $path1\nz.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "NORWAY";
disp "****************************************************************";

use $path1\nor.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "PORTUGAL";
disp "****************************************************************";

use $path1\por.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "SPAIN";
disp "****************************************************************";

use $path1\spa.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "SWEDEN";
disp "****************************************************************";

use $path1\swe.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "SWITZERLAND";
disp "****************************************************************";

use $path1\swi.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "UNITED KINGDOM";
disp "****************************************************************";

use $path1\uk.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
drop _all;

disp "****************************************************************";
disp "UNITED STATES";
disp "****************************************************************";

use $path1\us.dta;
qui do cointEstAnnualWorldFunc01;
disp  %06.5f adfsav "   " %06.5f glssav "      " %06.5f adfi;
mat li johMat;
*drop _all;

log close;	

