
clear
#delimit;

set more off;
global path1 "C:\cointegrationArchive\data\quarterlyWealth";  
global path2 "C:\cointegrationArchive\stata";
cd $path2;
capture log close;
log using $path2\quiet\cointEstQwealth02QuietL.log, replace;

global adflags "2";
global dlslags "2";
global johlags "2";  * johlags is # of lags in levels VAR, has to add one for # lags in diffs VAR
global dfglsmlags "4";
global testLevel "90";
scalar t0aus = q(1971q2);
scalar t1aus = q(1999q4);
scalar t0can = q(1962q1);
scalar t1can = q(2001q4);
scalar t0fra = q(1960q1);
scalar t1fra = q(2003q4);
scalar t0jap = q(1960q1);
scalar t1jap = q(2003q4);
scalar t0uk = q(1968q1);
scalar t1uk = q(2000q4);
scalar t0us = q(1960q1);
scalar t1us = q(2003q4);

scalar t0=t0aus;
scalar t1=t1aus;
disp t0 "-" t1;
use $path1\aus.dta;
qui do cointEstQwealthFunc01; *qui do cointEstQwealthFuncAus01;
dfuller savrat, lags($adflags) trend;
dfgls savrat, maxlag($dfglsmlags) ers;
disp "Australia   " adfsav "   " glssav "   " adfww "  " adfi; 
mat li johMat;
mat li johMat2;
drop _all;

scalar t0=t0can;
scalar t1=t1can;
disp t0 "-" t1;
use $path1\can.dta;
qui do cointEstQwealthFuncCan01;
disp "Canada   " adfsav "   " glssav "   " adfww "  " adfi; 
mat li johMat;
mat li johMat2;
drop _all;

scalar t0=t0fra;
scalar t1=t1fra;
disp t0 "-" t1;
use $path1\fra.dta;
qui do cointEstQwealthFuncFra01;
disp "France   " adfsav "   " glssav "   " adfww "  " adfi; 
mat li johMat;
mat li johMat2;
drop _all;

scalar t0=t0jap;
scalar t1=t1jap;
disp t0 "-" t1;
use $path1\jap.dta;
qui do cointEstQwealthFuncJap01;
disp "Japan   " adfsav "   " glssav "   " adfww "  " adfi; 
mat li johMat;
mat li johMat2;
drop _all;

scalar t0=t0uk;
scalar t1=t1uk;
disp t0 "-" t1;
use $path1\uk.dta;
qui do cointEstQwealthFuncUK01;
disp "UK   " adfsav "   " glssav "   " adfww "  " adfi; 
mat li johMat;
mat li johMat2;
drop _all;

scalar t0=t0us;
scalar t1=t1us;
disp t0 "-" t1;
use $path1\us.dta;
qui do cointEstQwealthFuncUS01;
disp "US   " adfsav "   " glssav "   " adflw "   " adfww  "  " adfi; 
mat li johMat;
mat li johMat2;
*drop _all;

log close;	

